'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { controller } = app;
  const router = app.router.namespace(app.config.projectRootPath);
  router.get('/', controller.home.index);
  router.get('/home/huayun_call', controller.home.huayunCall);
  router.get('/home/huayun_call_test', controller.home.huayunCallTest);

  require('./router/gjj')(app);

  require('./router/official')(app);// 官网招聘和投资者关系

  require('./router/common')(app);// 存储公共的东西，比如 cdn , oss, 白名单等等

  require('./router/course_v5')(app);
};
